summarylogtreecommitdiffstats
path: root/vmware-patch.sh
diff options
context:
space:
mode:
authorDet2015-08-30 10:26:45 +0300
committerDet2015-08-30 10:26:45 +0300
commitad27c4fbdf2840708cb1c3c24c1cb8f182d60768 (patch)
treed46311da81cc0491a317bf848fe03a5493dfd5f1 /vmware-patch.sh
parentd27a3c4fce49afe7adab22509e178b3280981d0e (diff)
downloadaur-ad27c4fbdf2840708cb1c3c24c1cb8f182d60768.tar.gz
Upgpkg: 12.0.0
Diffstat (limited to 'vmware-patch.sh')
-rw-r--r--vmware-patch.sh14
1 files changed, 5 insertions, 9 deletions
diff --git a/vmware-patch.sh b/vmware-patch.sh
index 8899fca7a51f..d1463633c4fc 100644
--- a/vmware-patch.sh
+++ b/vmware-patch.sh
@@ -82,7 +82,7 @@ if [[ $ver = 9.* ]] || [[ $ver = 5.* ]]; then
fi
fi
-# Fix VMCI/VSOCK loading for Workstation 10 / Player (Plus) 6 and earlier
+# Fix VMCI/VSOCK loading
if [[ $ver != 12.* ]] && [[ $ver != 11.* ]] && [[ $ver != 7.* ]]; then
if grep -q '$vsock_alias' /etc/init.d/vmware; then
sed -e 's/mod=$(vmwareRealModName $vmci $vmci_alias)/mod=vmci/' \
@@ -131,14 +131,10 @@ for kernel in ${kernels[@]}; do
exit 1
fi
-# # Unload conflicting in-kernel modules in less than Workstation 11 / Player (Pro) 7
-# if [[ $ver != 12.* ]] && [[ $ver != 11.* ]] && [[ $ver != 7.* ]]; then
-# rmmod "vsock" "vmw_vsock_vmci_transport" "vmw_vmci" 2>/dev/null || true
-# else
-# for mod in "vsock" "vmw_vsock_vmci_transport" "vmw_vmci"; do
-# modprobe $mod 2>/dev/null || true
-# done
-# fi
+ # Unload conflicting in-kernel modules in less than Workstation 11 / Player (Pro) 7
+ if [[ $ver != 12.* ]] && [[ $ver != 11.* ]] && [[ $ver != 7.* ]]; then
+ rmmod "vsock" "vmw_vsock_vmci_transport" "vmw_vmci" 2>/dev/null || true
+ fi
# Detect applicable patches (/usr/lib/vmware/modules/patches/[mod]-[ver]-[kernel].patch)
unset patches